#!/bin/sh
#
# GSI configuration script for program and system locations
# Go go gadget toolbox.

# default/other script
cd Config
Ask="sh ./Choose.sh"

LOCAL=""
if [ `$Ask 'Install locally (/usr/local/bin etc) or in the system ? (l/s)' "l"` = "l" ]; then
  LOCAL="local/"
fi

# Set some global defaults
#FHS 2.0 locations
bindir="/usr/$LOCAL""bin"
shrdir="/usr/$LOCAL""share"
vardir="/var/"
mandir="/usr/$LOCAL""man"

headerinclude="/usr/$LOCAL""include"

cc="gcc"

# Figure out what kind of system we are on:
system=`uname`
if [ "X$system" = "X" ]; then
  system=`$Ask 'uname failed: What is you system?' "$system"`
fi

echo System=$system

#Defaults:
nasinclude="/usr/X11R6/include"

naslinkdir="/usr/X11R6/lib"



########### System specific deviations from FHS 2.0 & X defaults #############
if [ "X$system" = "XFreeBSD" ]; then
#  shrdir="/usr/local/lib"
  mandir="/usr/local/man"
fi

if [ "X$system" = "XSunOS" ]; then
  nasinclude="/usr/openwin/include"
  naslinkdir="/usr/openwin/lib"

  mandir="/usr/local/man/"
fi


########### Ask the user ###############

nasinclude=`$Ask 'What is the nas include dir?' "$nasinclude"`

headerincude=`$Ask 'Where do you want the headers installed?' "$headerinclude"`

if [ "X$system" = "XSunOS" ]; then
  naslibs='-laudio -R\$(NASLINKDIR) -L\$(NASLINKDIR) -lm -lXt'
else
  naslibs='-laudio -L\$(NASLINKDIR) -lm'
fi

  
# Find out where to install gsi_server
bindir=`$Ask 'Where do you want to install binaries?' "$bindir"`
#libdir=`$Ask 'Where do you want data files installed?' "$shrdir"`
mandir=`$Ask 'Where do you want the man page?' "$mandir"`

# Create a new Makeflags2 file
echo
echo "Creating new Makeflags2..."
sed <Makeflags2.in >Makeflags2 \
	-e "s|^\\(BINDIR =\\)\$|\\1 $bindir|" \
	-e "s|^\\(LIBDIR =\\)\$|\\1 $shrdir|" \
	-e "s|^\\(VARDIR =\\)\$|\\1 $vardir|" \
	-e "s|^\\(MANDIR =\\)\$|\\1 $mandir|" \
	-e "s|^\\(NASINCLUDE =\\)\$|\\1 $nasinclude|" \
	-e "s|^\\(HEADERDIR =\\)\$|\\1 $headerinclude|" \
	-e "s|^\\(NASLINKDIR =\\)\$|\\1 $naslinkdir|" \
	-e "s|^\\(NASLIBS =\\)\$|\\1 $naslibs|"
echo

echo "To configure type 'make config'. Type 'make clean' and 'make' to build GSI"
